Subject: [PATCH v3 3/3] watchdog: qcom: register a restart notifier

From: [email-masked] (Josh Cartwright)
Date: Thu, 25 Sep 2014 14:04:34 -0500

On Thu, Sep 25, 2014 at 11:41:49AM -0700, Guenter Roeck wrote:
> On Thu, Sep 25, 2014 at 12:48:53PM -0500, Josh Cartwright wrote:
> > The WDT's BITE_TIME warm-reset behavior can be leveraged as a last
> > resort mechanism for triggering chip reset.  Usually, other restart
> > methods (such as PS_HOLD) are preferrable for issuing a more complete
> > reset of the chip.  As such, keep the priority of the watchdog notifier
> > low.
> > 
> > Signed-off-by: Josh Cartwright <[email-masked]>
> > ---
> >  drivers/watchdog/qcom-wdt.c | 38 ++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 38 insertions(+)
> > 
> > diff --git a/drivers/watchdog/qcom-wdt.c b/drivers/watchdog/qcom-wdt.c
> > index 0f56ca3..8ce339f 100644
> > --- a/drivers/watchdog/qcom-wdt.c
> > +++ b/drivers/watchdog/qcom-wdt.c
> > @@ -10,12 +10,14 @@
> >   * GNU General Public License for more details.
> >   *
> >   */
> > +#include <linux/delay.h>
> 
> Nitpick: Please keep alphabetical order of include files.
> That makes it easier to identify include files later on.

That was my intent, but apparently I fail at the alphabet :).  Normally
instead of thinking I pipe the #include list through 'sort'.  Not sure
why I didn't do so this time around.

Thanks,
  Josh

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by The Linux Foundation